class DashboardCount {
  Data? data;
  String? message;
  String? title;
  String? innerMessage;
  int? responseCode;
  bool? isSuccess;

  DashboardCount({this.data, this.message, this.title, this.innerMessage, this.responseCode, this.isSuccess});

  DashboardCount.fromJson(Map<String, dynamic> json) {
    data = json['data'] != null ? Data.fromJson(json['data']) : null;
    message = json['message'];
    title = json['title'];
    innerMessage = json['innerMessage'];
    responseCode = json['responseCode'];
    isSuccess = json['isSuccess'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (this.data != null) {
      data['data'] = this.data!.toJson();
    }
    data['message'] = message;
    data['title'] = title;
    data['innerMessage'] = innerMessage;
    data['responseCode'] = responseCode;
    data['isSuccess'] = isSuccess;
    return data;
  }
}

class Data {
  int? countOpen;
  int? countInprogress;
  int? countComplete;
  int? countAcknowledge;
  int? countHighPriority;
  int? countOverdue;

  Data({this.countOpen, this.countInprogress, this.countComplete, this.countAcknowledge, this.countHighPriority, this.countOverdue});

  Data.fromJson(Map<String, dynamic> json) {
    countOpen = json['countOpen'] ?? 0;
    countInprogress = json['countInprogress'] ?? 0;
    countComplete = json['countComplete'] ?? 0;
    countAcknowledge = json['countAcknowledge'] ?? 0;
    countHighPriority = json['countHighPriority'] ?? 0;
    countOverdue = json['countOverdue'] ?? 0;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['countOpen'] = countOpen;
    data['countInprogress'] = countInprogress;
    data['countComplete'] = countComplete;
    data['countAcknowledge'] = countAcknowledge;
    data['countHighPriority'] = countHighPriority;
    data['countOverdue'] = countOverdue;
    return data;
  }
}
